MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027162Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2016-02-16 14:022016-04-20 15:50
Reporteraml 
Assigned Toabv 
PriorityhighSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.1 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027162: Draw command "(2d)extrema" incorrectly represent underlying algorithm results
DescriptionThis issue was found in scope of #27131 bug.


test bugs modalg_5 bug23706_10:

"Infinite number of extremas, distance = 0
No solutions!"

bugs modalg_5 bug23706_13:

"No solutions!"
Steps To Reproducetest bugs modalg_5 bug23706_10
test bugs modalg_5 bug23706_13
TagsNo tags attached.
Test case numberbugs modalg_5 bug23706_10, bug23706_13
Attached Files

- Relationships
child of 0026269assignedaml Open CASCADE Extrema package revision 

-  Notes
(0050851)
git (administrator)
2016-02-17 07:19

Branch CR27162 has been created by aml.

SHA-1: 77d94086b6786e3ff2203948e267d7d3c42be305


Detailed log of new commits:

Author: aml
Date: Tue Feb 16 15:47:38 2016 +0300

    0027162: Draw command "(2d)extrema" incorrectly represent underlying algorithm results
    
    Correct handling of infinity solutions added for Curve / Curve case.
    Unused code deleted.
(0050853)
git (administrator)
2016-02-17 07:49

Branch CR27162 has been updated forcibly by aml.

SHA-1: 9b9d34ae1d42cb938fc23a0fdbc4a92b5ac70b76
(0050857)
git (administrator)
2016-02-17 09:56

Branch CR27162 has been updated forcibly by aml.

SHA-1: ffdb3d900d3218f3b55901b7ae20126eef70db02
(0050858)
aml (developer)
2016-02-17 09:56

Dear msv,
Please check current state of branch CR27162.
(0050897)
msv (developer)
2016-02-17 17:13

Reviewed.
(0050910)
git (administrator)
2016-02-17 18:12

Branch CR27162 has been updated forcibly by apv.

SHA-1: 6c2372cd5a8c7c9e55e13d5ae3a6eb6573afe0df
(0050911)
apv (tester)
2016-02-17 18:13

Branch CR27162 has been rebased on the current master
(0050931)
apv (tester)
2016-02-18 11:53
edited on: 2016-02-18 11:54

Dear BugMaster,

Branch CR27162 was tested together with CR27131_2.

Results of test-cases are:
bugs modalg_5 bug23706_10 - OK:
http://occt-tests/CR27131-2-master-occt-64/Debian70-64/bugs/modalg_5/bug23706_10.html [^]
http://occt-tests/CR27131-2-master-occt-64/Windows-64-VC10/bugs/modalg_5/bug23706_10.html [^]
bugs modalg_5 bug23706_13 - OK:
http://occt-tests/CR27131-2-master-occt-64/Debian70-64/bugs/modalg_5/bug23706_13.html [^]
http://occt-tests/CR27131-2-master-occt-64/Windows-64-VC10/bugs/modalg_5/bug23706_13.html [^]

(0052901)
git (administrator)
2016-04-17 13:40

Branch CR27162 has been deleted by kgv.

SHA-1: 6c2372cd5a8c7c9e55e13d5ae3a6eb6573afe0df

- Related Changesets
occt: master 92a206a3
Timestamp: 2016-02-16 12:47:38
Author: abv
Committer: abv
Details ] Diff ]
0027162: Draw command "(2d)extrema" incorrectly represent underlying algorithm results

Correct handling of infinity solutions added for Curve / Curve case.
Unused code deleted.
Test cases updated to the new behavior.
mod - src/Extrema/Extrema_ExtCC2d.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_API2dCommands.cxx Diff ] File ]
mod - src/GeometryTest/GeometryTest_APICommands.cxx Diff ] File ]
mod - src/GeomliteTest/GeomliteTest_API2dCommands.cxx Diff ] File ]
mod - tests/bugs/modalg_6/bug26075 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-16 14:02 aml New Issue
2016-02-16 14:02 aml Assigned To => msv
2016-02-16 14:02 aml Relationship added child of 0026269
2016-02-16 14:03 aml Relationship added related to 0027131
2016-02-16 14:12 aml Assigned To msv => aml
2016-02-16 14:56 msv Status new => assigned
2016-02-16 20:49 abv Target Version 7.0.0 => 7.1.0
2016-02-17 07:19 git Note Added: 0050851
2016-02-17 07:49 git Note Added: 0050853
2016-02-17 09:56 git Note Added: 0050857
2016-02-17 09:56 aml Note Added: 0050858
2016-02-17 09:56 aml Assigned To aml => msv
2016-02-17 09:56 aml Status assigned => resolved
2016-02-17 17:13 msv Note Added: 0050897
2016-02-17 17:13 msv Assigned To msv => bugmaster
2016-02-17 17:13 msv Status resolved => reviewed
2016-02-17 17:22 apv Assigned To bugmaster => apv
2016-02-17 17:46 abv Target Version 7.1.0 => 7.0.0
2016-02-17 17:47 msv Priority normal => high
2016-02-17 18:12 git Note Added: 0050910
2016-02-17 18:13 apv Note Added: 0050911
2016-02-18 11:49 apv Test case number => bugs modalg_5 bug23706_10, bug23706_13
2016-02-18 11:53 apv Note Added: 0050931
2016-02-18 11:53 apv Assigned To apv => bugmaster
2016-02-18 11:53 apv Status reviewed => tested
2016-02-18 11:53 apv Note Edited: 0050931 View Revisions
2016-02-18 11:54 apv Note Edited: 0050931 View Revisions
2016-02-21 08:52 abv Changeset attached => occt master 92a206a3
2016-02-21 08:52 abv Assigned To bugmaster => abv
2016-02-21 08:52 abv Status tested => verified
2016-02-21 08:52 abv Resolution open => fixed
2016-04-17 13:40 git Note Added: 0052901
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker